View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001056aMuleSearchpublic2007-03-03 01:232008-11-01 17:59
Reporterskript 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version2.2.1 
Summary0001056: amulegui: incorrect results when searching with min size >= 4GB
Descriptionif the 'Min Size' is set to >=4GB in the 'Extended Parameters' in the 'Search' window then the actual 'minimum file size' used when displaying the results will be equal to 'Min Size' entered modulo 4...
Additional Informationexamples (left column is actual minsize gb entered, right column is the size that is actually used when displaying the search results):

2 2 (correct)
3 3 (correct)
4 0 (wrong! everything gets displayed, even files <1kb)
5 1 (wrong! 1gb is used instead of 5)
6 2
7 3
8 0
9 1
...

this is happening when using aMule-CVS-20070302.tar.bz2
TagsNo tags attached.
Fixed in Revision
Operating Systemubuntu6.06 (amuled) + winxpsp2 (amulegui)
Attached Files

- Relationships

-  Notes
(0002249)
skript (reporter)
2007-03-04 13:36

the reason why this is happening is that uint32 is used for the filesize (minsize/maxsize) in various parts of the code... I guess it's rather obvious anyway ;)
(0002963)
Wuischke (manager)
2008-09-23 23:05

Can anyone confirm this bug with recent versions?

- Issue History
Date Modified Username Field Change
2007-03-03 01:23 skript New Issue
2007-03-03 01:23 skript Operating System => ubuntu6.06 (amuled) + winxpsp2 (amulegui)
2007-03-04 07:36 Kry Status new => assigned
2007-03-04 07:36 Kry Assigned To => Kry
2007-03-04 13:36 skript Note Added: 0002249
2008-09-23 23:05 Wuischke Note Added: 0002963
2008-09-23 23:05 Wuischke Status assigned => feedback
2008-11-01 17:59 GonoszTopi Assigned To Kry => GonoszTopi
2008-11-01 17:59 GonoszTopi Status feedback => resolved
2008-11-01 17:59 GonoszTopi Resolution open => fixed
2008-11-01 17:59 GonoszTopi Category External Conn => Search
2008-11-01 17:59 GonoszTopi Fixed in Version => 2.2.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker